.\"
.\" Copyright (c) 1995 Joerg Wunsch
.\"
.\" All rights reserved.
.\"
.\" This program is free software.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/devfs_link.9,v 1.4.2.1 1999/09/05 11:27:13 peter Exp $
.\"
.Dd December 31, 1995
.Os FreeBSD
.Dt DEVFS_LINK 9
.Sh NAME
.Nm devfs_link
.Nd make a hard link for a devfs entry
.Sh SYNOPSIS
.Fd #include <sys/devfsext.h>
.Ft void *
.Fn devfs_link "void *original" "char *fmt" "..."
.Sh DESCRIPTION
The function
.Nm
takes a token from a previous call to
.Fn devfs_add_devswf
or
.Fn devfs_link
as argument, and links it to an alias location denoted by
.Ar fmt
string.
.Sh RETURN VALUES
It returns a token for the newly linked devfs entry.
.Sh SEE ALSO
.Xr devfs_add_devswf 9
.Sh HISTORY
The function
.Nm
appeared in
.Fx 2.2 .
.Sh AUTHORS
This man page has been written by
.if t J\(:org Wunsch.
.if n Joerg Wunsch.
